summaryrefslogtreecommitdiff
path: root/debian/zephyr-clients.postinst
diff options
context:
space:
mode:
authorGravatar Karl Ramm <kcr@mit.edu>2007-07-20 05:07:19 +0000
committerGravatar Karl Ramm <kcr@mit.edu>2007-07-20 05:07:19 +0000
commit15cf157d47aafe49fd59b7acc23fe172f8a23566 (patch)
tree747829bb544497cad68906bb21b2fd9fbb2cc1f3 /debian/zephyr-clients.postinst
parent82ea504def6eb144c2b13b315890b297e29345c5 (diff)
debian patch applied and reconciled, version unfinalized
Diffstat (limited to 'debian/zephyr-clients.postinst')
-rw-r--r--debian/zephyr-clients.postinst84
1 files changed, 84 insertions, 0 deletions
diff --git a/debian/zephyr-clients.postinst b/debian/zephyr-clients.postinst
new file mode 100644
index 0000000..40ff3c2
--- /dev/null
+++ b/debian/zephyr-clients.postinst
@@ -0,0 +1,84 @@
+#! /bin/sh
+# postinst script for zephyr
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+
+ . /usr/share/debconf/confmodule
+ db_version 2.0
+
+ db_set zephyr-clients/read_conf true
+
+ if test -f /etc/zephyr/zephyr.conf
+ then
+ if test ! -f /etc/default/zephyr-clients
+ then
+ mv /etc/zephyr/zephyr.conf /etc/default/zephyr-clients
+ fi
+ fi
+
+ # if /etc/default/zephyr-clients already exists and has a zhm_args
+ # line, the config script should have sucked it into debconf
+ db_get zephyr-clients/servers
+
+ tmpfile=/etc/default/zephyr-client.dpkg-new
+ if test -f /etc/default/zephyr-clients
+ then
+ grep -v ^zhm_args /etc/default/zephyr-clients > $tmpfile || true
+ else
+ cat > $tmpfile << EOF
+# This file is automatically rewritten by the zephyr-clients post-install
+# script. So treat it right.
+EOF
+ fi
+ echo zhm_args=\"${RET}\" >> $tmpfile
+ cat $tmpfile > /etc/default/zephyr-clients
+ rm $tmpfile
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+if [ -x "/etc/init.d/zhm" ]; then
+ # this script does not necessarily fail if these do
+ if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+ invoke-rc.d zhm restart
+ else
+ /etc/init.d/zhm restart
+ fi
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0